TEMPFILE(1)

IME
tempfile - ustvari začasno datoteko v varnem načinu

POVZETEK
tempfile [-d MAPA] [-p NIZ] [-s NIZ] [-m NAČIN] [-n DATOTAKA] [--directory=MAPA] [--prefix=NIZ] [--suffix=NIZ] [--mode=NAČIN] [--name=DATOTEKA] [--help] [--version]

OPIS

tempfile creates a temporary file in a safe manner. It uses mkstemps(3) to choose the name and opens it with O_RDWR | O_CREAT | O_EXCL. The filename is printed on standard output.

The directory in which to create the file might be searched for in this order:

a)  V primeru, ko okoljska spremenljivka TMPDIR obstaja in vsebuje ime primerne mape, se le-ta uporabi.

b)  Drugače se uporabi argument --directory, če je določen in primeren.

c)  Drugače se, ko je primerno, uporabi P_tmpdir (kot je naveden v <stdio.h>).

d)  Končno se lahko uporabi mapa (/tmp) navedena z implementacijo.

MOŽNOSTI

-d, --directory MAPA
    Vstavite datoteko v MAPO

-m, --mode NAČIN
    Odprite datoteko v NAČINU namesto 0600.

-n, --name FILE
    Uporabite DATOTEKA za ime namesto tempnam(3). Možnosti -d, -p in -s so prezrte, ko je podana ta možnost.

-p, --prefix NIZ
    Uporabite do pet črk iz NIZA za ustvarjanje imena.

-s, --suffix NIZ
    Ustvarite datoteko z NIZOM kot pripono.

--help
    Izpiše sporočilo uporabe na standarden izhod in uspešno konča.

--version
    Izpiše podrobnosti o različici na standardni izhod in uspešno konča.

VRNJENE VREDNOSTI
Stanje končanja 0 pomeni, da je bila začasna datoteka uspešno ustvarjena. Katerokoli drugo izhodno stanje predstavlja napako.

HROŠČI
Izključno ustvarjanje ni zagotovljeno ob ustvarjanju datotek na razdelkih NFS. začasna datoteka ne more ustvariti začasnih map. začasna datoteka je zastarela, namesto nje uporabite mktemp(1).

PRIMERI
    #!/bin/sh
    #[...]
    t=$(tempfile) || exit
    trap "rm -f -- '$t'" EXIT
    #[...]
    rm -f -- "$t"
    trap - EXIT
    exit

OGLEJTE SI TUDI
tempnam(3), mktemp(1)

TRANSLATION
This document is a translation. Regarding errors such as tihs one, contact <sl@li.org>,